## Retrieve transaction

**get** `/api/v1/transactions/{id}`

Retrieve transaction

### Path Parameters

- `id: string`

### Returns

- `Transaction object { id, account_id, amount, 10 more }`

  - `id: string`

  - `account_id: string`

  - `amount: string`

  - `balance_after: string`

  - `created_at: string`

  - `currency: string`

  - `status: "pending" or "completed" or "failed" or "cancelled"`

    - `"pending"`

    - `"completed"`

    - `"failed"`

    - `"cancelled"`

  - `transaction_type: "deposit" or "withdrawal" or "transfer" or 2 more`

    - `"deposit"`

    - `"withdrawal"`

    - `"transfer"`

    - `"recurring_payment"`

    - `"savings_withdraw"`

  - `updated_at: string`

  - `description: optional string`

  - `external_recipient_id: optional string`

  - `recipient_account_id: optional string`

  - `reference_id: optional string`

### Example

```http
curl https://accounts-service-staging.up.railway.app/api/v1/transactions/$ID \
    -H "X-API-Key: $RAILS_API_KEY"
```

#### Response

```json
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "account_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "amount": "amount",
  "balance_after": "balance_after",
  "created_at": "2019-12-27T18:11:19.117Z",
  "currency": "currency",
  "status": "pending",
  "transaction_type": "deposit",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "external_recipient_id": "external_recipient_id",
  "recipient_account_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "reference_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}
```
